﻿using Xafari.BC.Numerators;

namespace NumeratorTestProject.Module.BusinessObjects
{
	public class TestCustomNumerator: CustomNumerator
    {
        public TestCustomNumerator()
        {
            this.Template = "CUSTOM_{0:<INDEX>,0000}";
            this.StartValue = 1;
            this.Step = 1;
            this.ThroughNumeration = false;
            this.UseDeletedNumbersMode = UseDeletedNumbersModes.None;
            this.CustomApply += UserNumerator_CustomApply;
        }

		private void UserNumerator_CustomApply(object sender, NumeratorCustomApplyEventArgs e)
		{
            if (e.Object is ItemTest itemTest && itemTest.IsTemplate) {
                e.Handled = true;
            }
		}


	}
}
