﻿using DevExpress.Data.Filtering;
using DevExpress.ExpressApp;
using DevExpress.ExpressApp.DC;
using DevExpress.ExpressApp.Model;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using DevExpress.Persistent.Validation;
using DevExpress.Xpo;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace NumeratorTestProject.Module.BusinessObjects
{
	[DefaultClassOptions]

	public class ItemTest : BaseObject
	{ 
		public ItemTest(Session session)
			: base(session)
		{
		}
		private string _testNumber;

		public string TestNumber {
			get { return _testNumber; }
			set { SetPropertyValue(nameof(TestNumber), ref _testNumber, value); }
		}

		private bool _isTemplate;

		public bool IsTemplate
		{
			get { return _isTemplate; }
			set { SetPropertyValue(nameof(IsTemplate), ref _isTemplate, value); }
		}
	}
}